Alkacon OpenCms Search Module XSS

2005-12-21T00:37:43
ID OSVDB:21877
Type osvdb
Reporter r0t(krustevs@googlemail.com)
Modified 2005-12-21T00:37:43

Description

Vulnerability Description

OpenCms contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate variables upon submission to the search module. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Solution Description

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

Short Description

OpenCms contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate variables upon submission to the search module. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

References:

Vendor URL: http://www.opencms.org/ Other Advisory URL: http://pridels.blogspot.com/2005/12/opencms-xss-vuln.html CVE-2005-4475 Bugtraq ID: 16003